import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRApplicationBasicClusterApplicationStruct extends _NSObject {
    static alloc(): _MTRApplicationBasicClusterApplicationStruct;
    static new(): _MTRApplicationBasicClusterApplicationStruct;
    init(): _MTRApplicationBasicClusterApplicationStruct;
    catalogVendorID(): _NSNumber;
    setCatalogVendorID$(value: _NSNumber): void;
    catalogVendorId(): _NSNumber;
    setCatalogVendorId$(value: _NSNumber): void;
    applicationID(): _NSString;
    setApplicationID$(value: _NSString): void;
    applicationId(): _NSString;
    setApplicationId$(value: _NSString): void;
}
export interface _MTRApplicationBasicClusterApplicationStruct extends _NSCopying {
}
